Subject: Sort order "sort -V" - Correction

From: [email-masked]
Date: Wed, 11 Jun 2025 21:28:27 +0000

Hello,

The "sort -V" parameter is good for sorting numbers and letters. Thank you for this. This isn't normally possible in WinCMD.

I've read the documentation and don't understand the behavior of "dpkg" due to a missing Debian version.

I noticed that the letters aren't sorted by "a A b B c C etc." like in Windows Explorer, but rather by uppercase first and then lowercase (see screenshot attached)

Correction: Sorry, I made a mistake here. Correct, It should read:

I noticed that the letters aren't sorted by "number + a-Z (upper or lower case doesn't matter)" like in Windows Explorer, but rather by uppercase first and then lowercase (see Correction-Screenshot-V2 in the appendix).

Is this a bug or intentional?

Could a sort order like in Windows Explorer be implemented?

Have a nice day and look forward to your reply.

Best regards
Somebody

Gesendet: Mittwoch, 11. Juni 2025 um 22:22

Von: [email-masked]

An: [email-masked]

Betreff: Sort order "sort -V"

Hello,

The "sort -V" parameter is good for sorting numbers and letters. Thank you for this. This isn't normally possible in WinCMD.

I've read the documentation and don't understand the behavior of "dpkg", due to a missing Debian version.

I noticed that the letters aren't sorted by "a A b B c C etc.", like in Windows Explorer, but rather by uppercase first and then lowercase (see screenshot attached).

Is this a bug or intentional?

Could a sort order, like in Windows Explorer, be implemented, please?

Have a nice day and look forward to your reply.

Best regards
Somebody